with GNATCOM.Dispinterface;

package MSHTML.ISVGStylable_Interface is

   type ISVGStylable_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGStylable_Type);

   function Pointer (This : ISVGStylable_Type)
     return Pointer_To_ISVGStylable;

   procedure Attach (This    : in out ISVGStylable_Type;
                     Pointer : in     Pointer_To_ISVGStylable);

   function Get_className
     (This : ISVGStylable_Type)
     return Pointer_To_ISVGAnimatedString;

end MSHTML.ISVGStylable_Interface;

